NEX Loadable Modules

The nex module tree contains provisional/beta modules for interested users. Note, most of these modules are built without aggressive optimizations and are geared more towards interoperability with each other. Many of these modules are "chained" together and the interoperability amongst libraries can be tricky, hence this separate tree built for this specific purpose. For example, if you load the vistrails module then almost all the modules in this tree may be loaded for functional support. It is often useful to do "module purge" prior to loading some modules in this tree to prevent conflicts.

If you use CSH:

setenv MODULEPATH ${MODULEPATH}:/nex/modules/files

If you use BASH:

export MODULEPATH=$MODULEPATH:/nex/modules/files

You can also add the above to your .cshrc or .bashrc files so that the NEX module paths is automatically included when you log in.

Once the above variables are set you should be able to do

me@linux:> module avail
and see these modules, and import them if desired. You import the module using the module load command, for example:
me@linux:> module load vistrails/2.0.2_nex
The above would load Vistrails v2.0.2 into your environment.

Note: These modules are provisional and are not fully supported by the NAS support team so please keep this in mind if you use these.

More detailed information on modules is available in the HECC Knowledge Base.


Currently available modules and versions

R/3.0.1-extra_nex

This module provides R with extra library support, such as rgdal, for the R 3.0.1 module. It will automatically load the R 3.0.1 module.

R/3.0.1_nex

This module provides R 3.0.1

R/3.1.1_nex

This module provides R 3.1.1

R/3.1.1_rgal_nex

This module provides R 3.1.1 with rgdal preloaded. Note this module will load many other modules for functional support for gdal. It is suggested that you do a module purge prior to loading this to prevent potential conflicts

asp/2.3.0_nex

This module provides the asp (SteroPipeline 2.3.0 package).

cdo/1.6.4_nex

This module provides the cdo 1.6.4 utility programs (Climate Data Operators)

cmake/2.8.10.2_nex

cmake/3.0.2_nex

fmask/3.2_nex

This module provides the fmask 3.2 matlab based utility.

envi/5.1_nex

This module provides the envi 5.1 and idl 8.3 packages.

gdal/1.10.0_nex

This module provides the gdal 1.10.0 toolkit. Note: this module automatically loads many other supporting modules.It is advised that you purge you environ before loading this module, then load others after this and all supporting modules are loaded.

gdl/0.9.4_nex

This module provides the GNU Data Language (GDL) 0.9.4 utility.

geo/0.0.1_nex

This module provides a common set of geographic manipulation libraries and utility programs. The package currently contains: geos-3.3.5.tgz, libgeotiff-1.4.0.tar.gz, proj-4.8.0.tgz, shapelib-1.3.0

git/1.8.2.1_nex

hdf4/4.2.8_nex

This module provides hdf 4.2.8 libraries and utility programs. Among others, it provide HDF4 version of ncdump executable through ncdump-hdf4

hdf5/1.8.11_nex

hdfeos/2.61_nex

This module provides hdfeos 2.61 libraries and headers. The libraries are compiled with the platform default gcc compiler for ease of use. Note this module contains the hdfeos version of gctp which has subtle differences to the Modis Reprojection Toolkit (MRT) gctp.

matlab/8.1_runtime_nex

This module provides the MATLAB runtime version 8.1 utilities.

mysql/5.6.13_nex

This module provides MySQL Community Server 5.6.13 and utilities. The package currently contains: mysql-5.6.13.tar.gz

ncl/6.1.2_scicon

nco/4.4.4_nex

This module provides the nco 4.4.4 utility programs (netCDF Operators)

netcdf/4.3.0_nex

This module provides the netcdf 4.3.0 libraries and utility programs.

Note: this module does not contain the hdf4 or SZIP extensions. See hdf4/4.2.8_nex if you need the hdf4 capabilities.

proj/4.8.0_nex

This module provides the proj 4.8.0 libraries and utilities.

pxargs/0.0.3-mpt.2.11r13_nex

Module provides the pxargs utility (using sgi's mpt). See the pxargs manpage.

Note: this module will load the mpi-sgi/mpt.2.11r13 as it is required.

python/2.7.3_nex

This module provides python 2.7.3 interpreter, utility programs and libraries. This package includes nose-1.2.1, sip-4.14.5, sh-1.08, pyOpenSSL-0.13, python-ldap-2.4.13, wpt-0.0.2. and setuptools-0.9.7. as a convenience MySQL-python-1.2.3 is also include; if you use the MySQLdb lib then the module mysql/5.6.13_nex may need to be loaded. If you do not use the MySQLdb lib then you do not need to load the mysql module. The executables and libraries are compiled with the platform default gcc compiler for ease of use. This package is used with/by many other nex provisional modules and therefore was built to maximize interoperability.

python/2.7.3_sgi_mpt.2.10r6_nex

This module provides python 2.7.3 interpreter, utility programs and libraries. This package includes nose-1.2.1, sip-4.14.5, sh-1.08, pyOpenSSL-0.13, python-ldap-2.4.13. and setuptools-0.9.7. As a convenience MySQL-python-1.2.3 is also include; if you use the MySQLdb lib then the module mysql/5.6.13_nex may need to be loaded. If you do not use the MySQLdb lib then you do not need to load the mysql module. This module is essentially the 2.7.3_nex module but it automatically loads the required mpi module, mpi-sgi/mpt.2.10r6, so one can use mpi4py, MPI in python.

python/2.7.6_nex

This module provides the python 2.7.6 interpreter, utility programs and libraries. This packages includes PycURL/7.19.3, libcurl/7.34.0, OpenSSL/1.0.1f The executables and libraries are compiled with the platform default gcc compiler for ease of use. This package may be used with/by many other nex modules and therefore was built to maxmize interoperability with these other modules. Note, this module does not contain the python gdal extension. See the module gdal/1.10.0_nex or pythonkits/gdal_1.10.0_python_2.7.3_nex

python/3.4.2_nex

This module provides python 3.4.2 interpreter and libraries.

pythonkits/0.0.1_nex

This module provides common python tools, such as numpy-1.6.2 pyhdf-0.8.3, numexpr-2.0.1, Cython-0.19.1, Imaging-1.1.7, netCDF4-1.0.4, xlwt-0.7.5, lapack-3.4.2, pyproj-1.9.3, boto, gsutil, scipy-0.11.0, yaml, nltk

Note: this module automatically loads python/2.7.3_nex, hdf4/4.2.8_nex and netcdf/4.3.0_nex modules if they are not already loaded.

pythonkits/gdal_1.10.0_python_2.7.3_nex

This module provides the gdal 1.10.0 toolkit with python 2.7.3.

Note: this module automatically loads many other supporting modules. It is advised that you purge you environ before loading this module, then load others after this and all supporting modules are loaded.

pythonkits/matplotlib_1.2.1_Qt_nex

This module provides the python based matplotlib with Qt4 back-end capabilities. Many other modules must load to enable this module to function properly. It may be a good idea to purge, e.g. "$ module purge" your environ prior to loading this module, then load others one by one and test check for potential conflicts.

Note, this module may automatically load python/2.7.3_nex, hdf4/4.2.8_nex, netcdf/4.3.0_nex, qt/4.6.4_nex, geo/0.0.1_nex and pythonkits/0.0.1 modules if they are not already loaded.

qt/4.6.4_nex

This module provides the qt 4.6.4 and VTK5 libraries and utility programs.

Note: You will need to load the python/2.7.3_nex if you wish to have python capabilities. Also, if python/2.7.3_nex and pythonkits/0.0.1_nex then matplotlib with a Qt4 back-end will be provided.

udunits/2.1.24_nex

vistrails/2.0.2_nex

This module provides the VisTrails 2.0.2 utilities.

Note: due to the complexity of this module it is best to purge your environment prior to importing this as it loads several other modules that are known to be interoperable with this module (2.0.2)

vistrails/2.1.1_nex

This module provides the VisTrails 2.1.1 utilities.

Note: due to the complexity of this module it is best to purge your environment prior to importing this as it loads several other modules that are known to be interoperable with this module (2.1.1).

vistrails/2.1.4_nex

This module provides the vistrails 2.1.4 utilities.

Note: due to the complexity of this module it is best to purge your environment prior to importing this as it loads several other modules that are known to be interoperable with this module (2.1.4).

xz/5.0.5_nex

This module provides the xz compression utilities, version 5.0.5. For more info about xz see http://tukaani.org/xz/, or the xz manpages.